class LoopsTest {
    public static void main(String[] args){
        int ARR_DIM = 10000;
        double[][] arr = new double[ARR_DIM][ARR_DIM];
        for (int i = 0; i < ARR_DIM; i++) {
            for (int j = 0; j < ARR_DIM; j++) {
                arr[i][j] = Math.random();
            }
        }

        long startTime = System.nanoTime();
        double acc = 0;
        for (int i = 0; i < ARR_DIM; i++) {
            for (int j = 0; j < ARR_DIM; j++) {
                acc += arr[i][j];
            }
        }
        long endTime = System.nanoTime();
        System.out.println("ij time: " + (endTime - startTime) / 1000000 + "ms");

        for (int i = 0; i < ARR_DIM; i++) {
            for (int j = 0; j < ARR_DIM; j++) {
                arr[i][j] = Math.random();
            }
        }
        
        startTime = System.nanoTime();
        acc = 0;
        for (int j = 0; j < ARR_DIM; j++) {
            for (int i = 0; i < ARR_DIM; i++) {
                acc += arr[i][j];
            }
        }
        endTime = System.nanoTime();
        System.out.println("ji time: " + (endTime - startTime) / 1000000 + "ms");
    }
}